.rent-gallery {
  display: flex;
  justify-content: center; 
  flex-wrap: wrap;
  opacity: 0;
  height: 0;
  transition: all 0.4s;
}
.rent-gallery.show-gallery {
  opacity: 1;
  height: auto;
}
.rent-gallery .rent-img {
  max-width: 25%;
  border: 1px solid #dedede;
  background: #ffffff;
  border-radius: 2px;
  padding: 0;
  margin-right: 15px;
  margin-bottom: 15px;
  transition: all 0.4s;
  cursor: pointer;
  overflow: hidden;
  aspect-ratio: 2/1;
}
.rent-gallery .rent-img:hover {
  z-index: 20;
  transform: scale(1.1);
  box-shadow: 0 1px 6px 0 rgba(0, 0, 0, .2), 0 1px 9px 0 rgba(0, 0, 0, .14), 0 2px 9px -1px rgba(0, 0, 0, .12);
}
#preloader {
  background-color: #fff;
  width: 100%;
  height: 100%;
  min-height: 50vh;
  z-index: 9999;
  flex-direction: column;
  display: flex;
  place-content: center;
  align-items: center;
}
/* modal */

/* The Modal (background) */
.gal-modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 30; /* Sit on top */
  padding-top: 20px; /* Location of the box */
  padding-bottom: 30px;
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(11,11,11,0.7); /* Black w/ opacity */
  flex-direction: column;
  place-content: center;
  align-items: center;
}
.gal-modal.vertical {
  place-content: center flex-start;
}
/* Modal Content (image) */
.img-modal-content {
  display: block;
  width: auto;
  max-height: 90%;
}
.img-content {
  flex-direction: column;
  display: flex;
  max-width: 70%;
  place-content: center;
  align-items: center;
  height: auto;
}
.img-content.vertical {
  place-content: center flex-start;
}
.gal-arrow {
  position: fixed;
  overflow: visible;
  cursor: pointer;
  background: transparent;
  border: 0;
  -webkit-appearance: none;
  display: block;
  outline: none;
  padding: 0;
  z-index: 900;
  box-shadow: none;
  -ms-touch-action: manipulation;
  touch-action: manipulation;
  opacity: .65;
  margin: 0;
  top: 50%;
  margin-top: -55px;
  width: 90px;
  height: 110px;
  -webkit-tap-highlight-color: transparent;
  transition: all ease 0.4s;
}
.gal-arrow:hover {
  opacity: 1;	
}
.gal-arrow.prev {
  left: 0;
}
.gal-arrow.next {
  right: 0;
}
.gal-arrow:after, .gal-arrow:before {
    content: "";
    display: block;
    width: 0;
    height: 0;
    position: absolute;
    left: 0;
    top: 0;
    margin-top: 35px;
    margin-left: 35px;
    border: medium inset transparent;
}
.gal-arrow:before {
  border-top-width: 21px;
  border-bottom-width: 21px;
  opacity: 1;
}
.gal-arrow:after {
  border-top-width: 13px;
  border-bottom-width: 13px;
  top: 8px;
}
.gal-arrow.next:before {
  border-left: 27px solid #3f3f3f;
}
.gal-arrow.next:after {
  border-left: 17px solid #fff;
  margin-left: 39px;
}
.gal-arrow.prev:before {
  margin-left: 25px;
  border-right: 27px solid #3f3f3f;
}
.gal-arrow.prev:after {
  border-right: 17px solid #fff;
  margin-left: 31px;
}
/* Caption of Modal Image */
#caption {
  display: block;
  text-align: left;
  color: #fff;
  padding: 0;
  font-size: 0.9rem;
  font-weight: 300;
  width: 100%;
}

/* Add Animation */
.img-content {  
  -webkit-animation-name: zoom;
  -webkit-animation-duration: 0.6s;
  animation-name: zoom;
  animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
  from {-webkit-transform:scale(0)} 
  to {-webkit-transform:scale(1)}
}

@keyframes zoom {
  from {transform:scale(0)} 
  to {transform:scale(1)}
}

/* The Close Button */
.img-close {
  position: fixed;
  z-index: 900;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 34px;
  font-weight: 300;
  transition: 0.3s;
}

.img-close:hover,
.img-close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}
@media only screen and (max-width: 600px) {
.rent-gallery .rent-img {
  max-width: 90%;
  margin-right: 0;
}
.gal-arrow {
  width: 80px;
}
.img-content {
  max-width: 90%;
}
.gal-arrow.prev:before {
  margin-left: 0px;
}
.gal-arrow.prev:after {
  margin-left: 6px;
}
.gal-arrow.next {
  width: 65px;
}
}
/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
.img-modal-content {
  width: 100%;
  }
}
@media only screen and (min-width: 600px) {
.rent-gallery .rent-img {
  max-width: 45%;
}
.rent-gallery .rent-img:nth-child(even) {
  margin-right: 0;
}
.img-content {
  max-width: 90%;
}
}
@media only screen and (min-width: 991px) {
.img-content {
  max-width: 80%;	
}
}
@media only screen and (min-width: 1200px) {
.rent-gallery .rent-img {
  max-width: 25%;
}
.img-content {
  max-width: 70%;	
}
}